Subject: [lojban] Re: nai in UI (was: BPFK phpbb)

From: Lionel Vidal <[email-masked]>
Date: Tue, 29 Apr 2003 20:49:58 +0200

Jorge Llambías wrote:

>>>Why can't we say {pu na'e ka'e}? Is anybody going to remember that
>>>you can't say {pu na'e ka'e}? (Or rather that it will parse as {pu
>>>ku na'e ka'e}.) 
>>> 
>>>
>>For the same reason you can't say "pu bai klama": LALR(1). 
>> 
>>
>
>Ok, if that is the case, that would be a good, justified answer.
>I admit I can't always tell why something makes LALR(1) fail, as
>in this case. I don't understand why {pu na'e ka'e} would be
>problematic.
> 
>
Is there any requirement for the grammar to be LALR(1)? I don't think 
so and it would
be rather pointless, because as it stands now, the grammar is not 
globally LALR(1)
as rightly stated in step 5 of yacc preliminaries in CLL. So IMO, this 
is not a good,
justified answer :-)
More generally, I don't think that lojban should ever be limited in any 
way just because
we happen to use a given computing related tool (and in that case IMO a 
rather old and
limited one). 

Best wishes,
Lionel